Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

One-off issue creation is cumbersome when juggling many projects. The current process for adding a single issue is:

1. Go to the projects page (keyboard shortcut to bookmark)

2. Click the link for the correct project (sometimes requires searching on the page)

3. Click New Issue

4. CREATE ISSUE

This is fine, and in fact preferable, when creating a series of tasks or tickets on one project. However, this is a lot of clicks for a

creating single issue.

Would it be possible to provide a generic New Issue page at https://redmine.host/issues/new where the user selects a project from a

drop-down menu? This may seem quite close to the current process of going through the projects page, but it has the following

advantages:

Can bookmark the New Issue page directly (-2 clicks).

Can use keyboard in the "Project" entry field to quickly select the appropriate project (slight improvement over searching the

projects page)

Alternately, is there a mod that could add the Project field to all New Issue pages? This would be just as well so long as the user's

current project is always selected by default.

Will link to a related and, IMHO, far more interesting feature request that would obviate the need for such a page.

Related issues:

Related to Redmine - Feature #16068: Single-line notation (i.e., flags) for i... New

Related to Redmine - Feature #12704: Allow selecting subprojects on new issue... Closed

History

#1 - 2014-02-10 18:02 - Christopher Harwood

Related to #16068

#2 - 2014-03-05 11:17 - Toshi MARUYAMA

- Related to Feature #16068: Single-line notation (i.e., flags) for issue creation added

#3 - 2014-03-05 11:25 - Toshi MARUYAMA

- Related to Feature #12704: Allow selecting subprojects on new issue form added

#4 - 2014-04-18 18:48 - Christopher Harwood

- Status changed from New to Resolved

I created a template issue and then bookmarked the copy issue page at https://REDMINE_HOST/projects/PROJECT/issues/ISSUE_ID/copy. This

provides a generic new issue page.

#5 - 2016-03-21 14:22 - Sebastian Paluch

a generic "New Issue" page at https://redmine.host/issues/new has been already implemented. But the link to it has not been created anywhere. It

could be added in the top menu or on the Projects page, next to "View all issues".

The only issue with current solution is that when navigated to https://redmine.host/issues/new the issue Project is defaulted to

2025-08-23 1/2

https://redmine.host/issues/new
https://www.redmine.org/issues/16068
https://REDMINE_HOST/projects/PROJECT/issues/ISSUE_ID/copy
https://redmine.host/issues/new
https://redmine.host/issues/new


@issue.project ||= @issue.allowed_target_projects.first

 This is not ideal, as we really need user to choose right project.

#6 - 2016-03-23 03:15 - Go MAEDA

- Status changed from Resolved to New

#7 - 2021-07-23 06:36 - Go MAEDA

Sebastian Paluch wrote:

a generic "New Issue" page at https://redmine.host/issues/new has been already implemented. But the link to it has not been created anywhere.

 Redmine 3.3.0 and later has a link to the page on the global issues page (/issues).
